//  ======================================================================== //
//                                                                           //
//    File      : match.h                                                    //
//    Purpose   :                                                            //
//    Time-stamp: <Wed Nov/13/2002 08:44 MET Coder@ReallySoft.de>            //
//                                                                           //
//    (C) January 2002 by Ralf Westram                                       //
//                                                                           //
//    Permission to use, copy, modify, distribute and sell this software     //
//    and its documentation for any purpose is hereby granted without fee,   //
//    provided that the above copyright notice appear in all copies and      //
//    that both that copyright notice and this permission notice appear      //
//    in supporting documentation.                                           //
//                                                                           //
//    Ralf Westram makes no representations about the suitability of this    //
//    software for any purpose.  It is provided "as is" without express or   //
//    implied warranty.                                                      //
//                                                                           //
//  ======================================================================== //

#ifndef MATCH_H
#define MATCH_H

namespace rs {

    class QuickSearchString;

    double calcMatchValue_old(const char *s1, int l1, const char *s2, int l2);
    double calcMatchValue(const QuickSearchString& qss, std::string s);
    bool   filenames_equal(const std::string& p1, const std::string& p2, int& equal_Paths);

}; // end of namespace rs

#else
#error match.h included twice
#endif // MATCH_H

